---
lang: en
title: 'API docs: testlab.stubserverrequest'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.testlab.stubserverrequest.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [stubServerRequest](./testlab.stubserverrequest.md)

## stubServerRequest() function

<b>Signature:</b>

```typescript
export declare function stubServerRequest(options: ShotRequestOptions): IncomingMessage;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>ShotRequestOptions</code> |  |

<b>Returns:</b>

`IncomingMessage`


